import React from 'react';
import Button from "../Button";
import { FormWrap } from "./FormWrap";
import PageLayout from "../..\\layout\\PageLayout";
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
const Form = ({
  title,
  width,
  customTopSidebar,
  topSideBar,
  nextName: _nextName = 'next',
  cancelName: _cancelName = 'cancel',
  children
}) => {
  return /*#__PURE__*/_jsx(FormWrap, {
    width: width || '40%',
    children: /*#__PURE__*/_jsx("form", {
      className: "center",
      children: /*#__PURE__*/_jsxs("div", {
        className: "formContainer",
        children: [/*#__PURE__*/_jsx(PageLayout, {
          title: title,
          width: width || '100%',
          customTopSidebar: customTopSidebar,
          topbarTabs: topSideBar,
          fix: false
        }), children, /*#__PURE__*/_jsxs("div", {
          className: "formButtonContainer",
          children: [/*#__PURE__*/_jsx(Button, {
            label: _nextName
          }), /*#__PURE__*/_jsx(Button, {
            label: _cancelName,
            style: {
              marginLeft: 25
            }
          })]
        })]
      })
    })
  });
};
export default Form;